Bug 93364 - Update ports: textproc/*openvanilla* to 0.7.2.b20060214 by maintainer
Summary: Update ports: textproc/*openvanilla* to 0.7.2.b20060214 by maintainer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-14 22:30 UTC by Li-Lun Wang
Modified: 2006-03-23 08:38 UTC (History)
0 users

See Also:


Attachments
file.diff (9.50 KB, patch)
2006-02-14 22:30 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2006-02-14 22:30:21 UTC
Update ports textproc/openvanilla-framework, textproc/scim-openvanilla, and
textproc/openvanilla-modules to 0.7.2.b20060214.
Comment 1 Cheng-Lung Sung freebsd_committer 2006-02-15 01:06:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Get.
Comment 2 Li-Lun Wang 2006-02-15 01:32:59 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I just discovered that my diff failed to diff the files in files/.
Please use the following patch instead. Thanks.

diff -urN openvanilla-framework.orig/Makefile openvanilla-framework/Makefile
- --- openvanilla-framework.orig/Makefile	Fri Jan 20 02:07:05 2006
+++ openvanilla-framework/Makefile	Tue Feb 14 11:55:57 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	openvanilla-framework
- -PORTVERSION=	0.7.1.20050902
+PORTVERSION=	0.7.2.b20060214
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.csie.org/~llwang/	\
 		http://www.infor.org/~llwang/
@@ -20,6 +20,6 @@
 
 do-install:
 	@${MKDIR} ${PREFIX}/include/OpenVanilla
- -	@${INSTALL_DATA} ${WRKSRC}/Headers/* ${PREFIX}/include/OpenVanilla
+	@${INSTALL_DATA} ${WRKSRC}/Framework/Headers/* ${PREFIX}/include/OpenVanilla
 
 .include <bsd.port.mk>
diff -urN openvanilla-framework.orig/distinfo openvanilla-framework/distinfo
- --- openvanilla-framework.orig/distinfo	Fri Jan 20 02:07:05 2006
+++ openvanilla-framework/distinfo	Tue Feb 14 11:54:21 2006
@@ -1,3 +1,3 @@
- -MD5 (openvanilla-0.7.1.20050902.tar.gz) = 65ab030558a8f5a399ef497b8b99d668
- -SHA256 (openvanilla-0.7.1.20050902.tar.gz) = babc0c7b8e098a27e6ab6bf9738ba4f7aa50cdeaef1959b99ed7004ab967d617
- -SIZE (openvanilla-0.7.1.20050902.tar.gz) = 11321598
+MD5 (openvanilla-0.7.2.b20060214.tar.gz) = d15b76fd77022cc78b660b9a719d17e7
+SHA256 (openvanilla-0.7.2.b20060214.tar.gz) = 9761b42666676ecb5e590b242d09c4e6f538a23608c0262fc02d38821b1d128d
+SIZE (openvanilla-0.7.2.b20060214.tar.gz) = 16777986
diff -urN openvanilla-framework.orig/pkg-plist openvanilla-framework/pkg-plist
- --- openvanilla-framework.orig/pkg-plist	Sat Sep  3 12:15:36 2005
+++ openvanilla-framework/pkg-plist	Tue Feb 14 12:22:15 2006
@@ -1,11 +1,4 @@
- -include/OpenVanilla/OVCIN.h
- -include/OpenVanilla/OVCandidateList.h
- -include/OpenVanilla/OVFileHandler.h
- -include/OpenVanilla/OVKeySequence.h
 include/OpenVanilla/OVLibrary.h
- -include/OpenVanilla/OVPhoneticLib.h
- -include/OpenVanilla/OVSQLite3.h
- -include/OpenVanilla/OVStringToolKit.h
 include/OpenVanilla/OVUtility.h
 include/OpenVanilla/OpenVanilla.h
 @dirrm include/OpenVanilla
diff -urN scim-openvanilla.orig/Makefile scim-openvanilla/Makefile
- --- scim-openvanilla.orig/Makefile	Fri Jan 20 04:08:11 2006
+++ scim-openvanilla/Makefile	Tue Feb 14 16:26:12 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	scim-openvanilla
- -PORTVERSION=	0.7.1.20050902
+PORTVERSION=	0.7.2.b20060214
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.csie.org/~llwang/	\
 		http://www.infor.org/~llwang/
diff -urN scim-openvanilla.orig/distinfo scim-openvanilla/distinfo
- --- scim-openvanilla.orig/distinfo	Fri Jan 20 04:08:11 2006
+++ scim-openvanilla/distinfo	Tue Feb 14 12:29:01 2006
@@ -1,3 +1,3 @@
- -MD5 (openvanilla-0.7.1.20050902.tar.gz) = 65ab030558a8f5a399ef497b8b99d668
- -SHA256 (openvanilla-0.7.1.20050902.tar.gz) = babc0c7b8e098a27e6ab6bf9738ba4f7aa50cdeaef1959b99ed7004ab967d617
- -SIZE (openvanilla-0.7.1.20050902.tar.gz) = 11321598
+MD5 (openvanilla-0.7.2.b20060214.tar.gz) = d15b76fd77022cc78b660b9a719d17e7
+SHA256 (openvanilla-0.7.2.b20060214.tar.gz) = 9761b42666676ecb5e590b242d09c4e6f538a23608c0262fc02d38821b1d128d
+SIZE (openvanilla-0.7.2.b20060214.tar.gz) = 16777986
diff -urN openvanilla-modules.orig/Makefile openvanilla-modules/Makefile
- --- openvanilla-modules.orig/Makefile	Mon Feb 13 23:30:01 2006
+++ openvanilla-modules/Makefile	Tue Feb 14 14:29:25 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	openvanilla-modules
- -PORTVERSION=	0.7.1.20050902
+PORTVERSION=	0.7.2.b20060214
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.csie.org/~llwang/	\
 		http://www.infor.org/~llwang/
@@ -29,15 +29,12 @@
 		OVIMPOJ_Holo		"POJ-Holo Input Module"		on \
 		OVIMPhonetic		"Phonetic Input Module"		on \
 		OVIMRoman		"Roman Input Module"		off \
- -		OVIMTibetan		"Tibetan Input Module"		on \
+		OVIMTibetan		"Tibetan Input Module"		off \
 		OVIMUnicode		"Unicode Input Module"		off
 
- -.include <bsd.port.pre.mk>
+MAKE_ARGS+=	INSTALL_PREFIX=${PREFIX} OV_INCLUDE=${X11BASE}/include
 
- -post-patch:
- -	@${REINPLACE_CMD} -e  \
- -		's|LIBTOOL=.*|LIBTOOL=${LIBTOOL}|;' \
- -		${WRKSRC}/Mk/ov.vars.mk
+.include <bsd.port.pre.mk>
 
 .if !defined(WITHOUT_OVIMArray)
 PLIST_SUB+=	OVIMArray=""
@@ -69,7 +66,7 @@
 .else
 PLIST_SUB+=	OVIMRoman="@comment "
 .endif
- -.if !defined(WITHOUT_OVIMTibetan)
+.if defined(WITH_OVIMTibetan)
 PLIST_SUB+=	OVIMTibetan=""
 .else
 PLIST_SUB+=	OVIMTibetan="@comment "
@@ -82,54 +79,54 @@
 
 do-build:
 .if !defined(WITHOUT_OVIMArray)
- -	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if defined(WITH_OVIMBig5)
- -	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if !defined(WITHOUT_OVIMGeneric)
- -	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if !defined(WITHOUT_OVIMPOJ_Holo)
- -	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if !defined(WITHOUT_OVIMPhonetic)
- -	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if defined(WITH_OVIMRoman)
- -	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
- -.if !defined(WITHOUT_OVIMTibetan)
- -	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+.if defined(WITH_OVIMTibetan)
+	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if defined(WITH_OVIMUnicode)
- -	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 
 do-install:
 .if !defined(WITHOUT_OVIMArray)
- -	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if defined(WITH_OVIMBig5)
- -	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if !defined(WITHOUT_OVIMGeneric)
- -	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if !defined(WITHOUT_OVIMPOJ_Holo)
- -	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if !defined(WITHOUT_OVIMPhonetic)
- -	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if defined(WITH_OVIMRoman)
- -	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
- -.if !defined(WITHOUT_OVIMTibetan)
- -	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+.if defined(WITH_OVIMTibetan)
+	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if defined(WITH_OVIMUnicode)
- -	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 
 .include <bsd.port.post.mk>
diff -urN openvanilla-modules.orig/distinfo openvanilla-modules/distinfo
- --- openvanilla-modules.orig/distinfo	Mon Jan 23 21:09:47 2006
+++ openvanilla-modules/distinfo	Tue Feb 14 13:21:35 2006
@@ -1,3 +1,3 @@
- -MD5 (openvanilla-0.7.1.20050902.tar.gz) = 65ab030558a8f5a399ef497b8b99d668
- -SHA256 (openvanilla-0.7.1.20050902.tar.gz) = babc0c7b8e098a27e6ab6bf9738ba4f7aa50cdeaef1959b99ed7004ab967d617
- -SIZE (openvanilla-0.7.1.20050902.tar.gz) = 11321598
+MD5 (openvanilla-0.7.2.b20060214.tar.gz) = d15b76fd77022cc78b660b9a719d17e7
+SHA256 (openvanilla-0.7.2.b20060214.tar.gz) = 9761b42666676ecb5e590b242d09c4e6f538a23608c0262fc02d38821b1d128d
+SIZE (openvanilla-0.7.2.b20060214.tar.gz) = 16777986
diff -urN openvanilla-modules.orig/files/patch-Mk::ov.os.mk openvanilla-modules/files/patch-Mk::ov.os.mk
- --- openvanilla-modules.orig/files/patch-Mk::ov.os.mk	Sat Jan 21 00:12:20 2006
+++ openvanilla-modules/files/patch-Mk::ov.os.mk	Wed Dec 31 18:00:00 1969
@@ -1,15 +0,0 @@
- ---- Mk/ov.os.mk.orig	Sat Sep  3 12:22:17 2005
- -+++ Mk/ov.os.mk	Sun Sep  4 01:51:57 2005
- -@@ -16,10 +16,11 @@
- - else
- - 
- - 
- --	INST_PATH=/usr/local/lib/openvanilla/
- -+	INST_PATH=${PREFIX}/lib/openvanilla/
- - 	OBJS=$(patsubst %, %.lo, $(SOURCES))
- - 	GOALS=$(IMID).la
- - 	#CFLAGS=-I/usr/local/include/ -I../../Headers/
- -+	LIBS=-L/usr/local/lib
- - 
- - $(GOALS): $(OBJS)
- - 	$(LIBTOOL) --tag=CXX --mode=link $(CPP) $(LDFLAGS) $(LIBS) -module -rpath $(INST_PATH) -avoid-version -o $(GOALS)  $(OBJS)
diff -urN openvanilla-modules.orig/files/patch-Mk::ov.vars.mk openvanilla-modules/files/patch-Mk::ov.vars.mk
- --- openvanilla-modules.orig/files/patch-Mk::ov.vars.mk	Sat Jan 21 00:12:20 2006
+++ openvanilla-modules/files/patch-Mk::ov.vars.mk	Wed Dec 31 18:00:00 1969
@@ -1,14 +0,0 @@
- ---- Mk/ov.vars.mk.orig	Sat Sep  3 12:22:17 2005
- -+++ Mk/ov.vars.mk	Sun Sep  4 00:49:19 2005
- -@@ -8,9 +8,9 @@
- - 
- - DATA_INST_PATH?=$(INST_PATH)/$(IMID)
- - 
- --INC=-I../../Headers -I/usr/local/include
- -+INC=-I/usr/X11R6/include -I/usr/X11R6/include/OpenVanilla -I/usr/local/include
- - 
- --CFLAGS=-O2 -Wall $(INC)
- -+CFLAGS+=-O2 -Wall $(INC)
- - 
- - GCC=/usr/bin/gcc
- - GPP=/usr/bin/g++
diff -urN openvanilla-modules.orig/files/patch-Modules::Mk::ov.module.mk openvanilla-modules/files/patch-Modules::Mk::ov.module.mk
- --- openvanilla-modules.orig/files/patch-Modules::Mk::ov.module.mk	Wed Dec 31 18:00:00 1969
+++ openvanilla-modules/files/patch-Modules::Mk::ov.module.mk	Tue Feb 14 13:59:17 2006
@@ -0,0 +1,11 @@
+--- Modules/Mk/ov.module.mk.orig	Tue Feb 14 00:18:29 2006
++++ Modules/Mk/ov.module.mk	Tue Feb 14 13:55:40 2006
+@@ -178,7 +178,7 @@
+ 
+ GCC=/usr/bin/gcc 
+ GPP=/usr/bin/g++
+-LIBTOOL=$(shell ../Mk/find-libtool.pl)
++# LIBTOOL=$(shell ../Mk/find-libtool.pl)
+ 
+ 
+ ifeq ("$(OS_COMPILE)", "Darwin")
diff -urN openvanilla-modules.orig/pkg-plist openvanilla-modules/pkg-plist
- --- openvanilla-modules.orig/pkg-plist	Mon Feb 13 23:37:16 2006
+++ openvanilla-modules/pkg-plist	Tue Feb 14 14:24:01 2006
@@ -1,12 +1,15 @@
 %%OVIMArray%%lib/openvanilla/OVIMArray.so
- -%%OVIMArray%%lib/openvanilla/OVIMArray/ArrayShortCode.cin
- -%%OVIMArray%%lib/openvanilla/OVIMArray/ArraySpecial.cin
+%%OVIMArray%%lib/openvanilla/OVIMArray/array-shortcode.cin
+%%OVIMArray%%lib/openvanilla/OVIMArray/array-special.cin
 %%OVIMArray%%lib/openvanilla/OVIMArray/array30.cin
 %%OVIMBig5%%lib/openvanilla/OVIMBig5.so
 %%OVIMGeneric%%lib/openvanilla/OVIMGeneric.so
 %%OVIMGeneric%%lib/openvanilla/OVIMGeneric/cj.cin
- -%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/ehq.cin
- -%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/iroha.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/dayi3.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/ehq-symbols.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/pinyin.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/simplex.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/wubizixing.cin
 %%OVIMPOJ_Holo%%lib/openvanilla/OVIMPOJ-Holo.so
 %%OVIMPOJ_Holo%%lib/openvanilla/OVIMPOJ-Holo/poj-holo.cin
 %%OVIMPhonetic%%lib/openvanilla/OVIMPhonetic.so
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (FreeBSD)

iD8DBQFD8oTKCQM7t5B2mhARAgZfAKCEIV5KFgX7a/MzWdHcTmlu0pVEZgCggSpI
w8Vl/clgx7+hDHr8ZDc/27s=
=zeva
-----END PGP SIGNATURE-----
Comment 3 Li-Lun Wang 2006-03-20 22:46:24 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

The following is a new patch against the new revision in the ports tree.
It also fixes a build problem noticed by krismain on 4.

diff -urN openvanilla-framework.orig/Makefile openvanilla-framework/Makefile
- --- openvanilla-framework.orig/Makefile	Fri Jan 20 02:07:05 2006
+++ openvanilla-framework/Makefile	Mon Mar 20 16:09:56 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	openvanilla-framework
- -PORTVERSION=	0.7.1.20050902
+PORTVERSION=	0.7.2.b20060214
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.csie.org/~llwang/	\
 		http://www.infor.org/~llwang/
@@ -20,6 +20,6 @@
 
 do-install:
 	@${MKDIR} ${PREFIX}/include/OpenVanilla
- -	@${INSTALL_DATA} ${WRKSRC}/Headers/* ${PREFIX}/include/OpenVanilla
+	@${INSTALL_DATA} ${WRKSRC}/Framework/Headers/* ${PREFIX}/include/OpenVanilla
 
 .include <bsd.port.mk>
diff -urN openvanilla-framework.orig/distinfo openvanilla-framework/distinfo
- --- openvanilla-framework.orig/distinfo	Fri Jan 20 02:07:05 2006
+++ openvanilla-framework/distinfo	Mon Mar 20 16:09:56 2006
@@ -1,3 +1,3 @@
- -MD5 (openvanilla-0.7.1.20050902.tar.gz) = 65ab030558a8f5a399ef497b8b99d668
- -SHA256 (openvanilla-0.7.1.20050902.tar.gz) = babc0c7b8e098a27e6ab6bf9738ba4f7aa50cdeaef1959b99ed7004ab967d617
- -SIZE (openvanilla-0.7.1.20050902.tar.gz) = 11321598
+MD5 (openvanilla-0.7.2.b20060214.tar.gz) = d15b76fd77022cc78b660b9a719d17e7
+SHA256 (openvanilla-0.7.2.b20060214.tar.gz) = 9761b42666676ecb5e590b242d09c4e6f538a23608c0262fc02d38821b1d128d
+SIZE (openvanilla-0.7.2.b20060214.tar.gz) = 16777986
diff -urN openvanilla-framework.orig/pkg-plist openvanilla-framework/pkg-plist
- --- openvanilla-framework.orig/pkg-plist	Fri Jan 20 02:07:05 2006
+++ openvanilla-framework/pkg-plist	Mon Mar 20 16:09:56 2006
@@ -1,11 +1,4 @@
- -include/OpenVanilla/OVCIN.h
- -include/OpenVanilla/OVCandidateList.h
- -include/OpenVanilla/OVFileHandler.h
- -include/OpenVanilla/OVKeySequence.h
 include/OpenVanilla/OVLibrary.h
- -include/OpenVanilla/OVPhoneticLib.h
- -include/OpenVanilla/OVSQLite3.h
- -include/OpenVanilla/OVStringToolKit.h
 include/OpenVanilla/OVUtility.h
 include/OpenVanilla/OpenVanilla.h
 @dirrm include/OpenVanilla
diff -urN scim-openvanilla.orig/Makefile scim-openvanilla/Makefile
- --- scim-openvanilla.orig/Makefile	Fri Jan 20 04:08:11 2006
+++ scim-openvanilla/Makefile	Mon Mar 20 16:09:56 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	scim-openvanilla
- -PORTVERSION=	0.7.1.20050902
+PORTVERSION=	0.7.2.b20060214
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.csie.org/~llwang/	\
 		http://www.infor.org/~llwang/
diff -urN scim-openvanilla.orig/distinfo scim-openvanilla/distinfo
- --- scim-openvanilla.orig/distinfo	Fri Jan 20 04:08:11 2006
+++ scim-openvanilla/distinfo	Mon Mar 20 16:09:56 2006
@@ -1,3 +1,3 @@
- -MD5 (openvanilla-0.7.1.20050902.tar.gz) = 65ab030558a8f5a399ef497b8b99d668
- -SHA256 (openvanilla-0.7.1.20050902.tar.gz) = babc0c7b8e098a27e6ab6bf9738ba4f7aa50cdeaef1959b99ed7004ab967d617
- -SIZE (openvanilla-0.7.1.20050902.tar.gz) = 11321598
+MD5 (openvanilla-0.7.2.b20060214.tar.gz) = d15b76fd77022cc78b660b9a719d17e7
+SHA256 (openvanilla-0.7.2.b20060214.tar.gz) = 9761b42666676ecb5e590b242d09c4e6f538a23608c0262fc02d38821b1d128d
+SIZE (openvanilla-0.7.2.b20060214.tar.gz) = 16777986
diff -urN openvanilla-modules.orig/Makefile openvanilla-modules/Makefile
- --- openvanilla-modules.orig/Makefile	Thu Feb 23 04:39:28 2006
+++ openvanilla-modules/Makefile	Mon Mar 20 16:10:40 2006
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	openvanilla-modules
- -PORTVERSION=	0.7.1.20050902
- -PORTREVISION=	1
+PORTVERSION=	0.7.2.b20060214
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.csie.org/~llwang/	\
 		http://www.infor.org/~llwang/
@@ -30,15 +29,12 @@
 		OVIMPOJ_Holo		"POJ-Holo Input Module"		on \
 		OVIMPhonetic		"Phonetic Input Module"		on \
 		OVIMRoman		"Roman Input Module"		off \
- -		OVIMTibetan		"Tibetan Input Module"		on \
+		OVIMTibetan		"Tibetan Input Module"		off \
 		OVIMUnicode		"Unicode Input Module"		off
 
- -.include <bsd.port.pre.mk>
+MAKE_ARGS+=	INSTALL_PREFIX=${PREFIX} OV_INCLUDE=${X11BASE}/include
 
- -post-patch:
- -	@${REINPLACE_CMD} -e  \
- -		's|LIBTOOL=.*|LIBTOOL=${LIBTOOL}|;' \
- -		${WRKSRC}/Mk/ov.vars.mk
+.include <bsd.port.pre.mk>
 
 .if !defined(WITHOUT_OVIMArray)
 PLIST_SUB+=	OVIMArray=""
@@ -70,7 +66,7 @@
 .else
 PLIST_SUB+=	OVIMRoman="@comment "
 .endif
- -.if !defined(WITHOUT_OVIMTibetan)
+.if defined(WITH_OVIMTibetan)
 PLIST_SUB+=	OVIMTibetan=""
 .else
 PLIST_SUB+=	OVIMTibetan="@comment "
@@ -83,54 +79,54 @@
 
 do-build:
 .if !defined(WITHOUT_OVIMArray)
- -	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if defined(WITH_OVIMBig5)
- -	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if !defined(WITHOUT_OVIMGeneric)
- -	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if !defined(WITHOUT_OVIMPOJ_Holo)
- -	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if !defined(WITHOUT_OVIMPhonetic)
- -	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if defined(WITH_OVIMRoman)
- -	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
- -.if !defined(WITHOUT_OVIMTibetan)
- -	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+.if defined(WITH_OVIMTibetan)
+	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 .if defined(WITH_OVIMUnicode)
- -	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} all)
+	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} all)
 .endif
 
 do-install:
 .if !defined(WITHOUT_OVIMArray)
- -	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMArray; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if defined(WITH_OVIMBig5)
- -	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMBig5; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if !defined(WITHOUT_OVIMGeneric)
- -	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMGeneric; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if !defined(WITHOUT_OVIMPOJ_Holo)
- -	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMPOJ-Holo; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if !defined(WITHOUT_OVIMPhonetic)
- -	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMPhonetic; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if defined(WITH_OVIMRoman)
- -	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMRoman; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
- -.if !defined(WITHOUT_OVIMTibetan)
- -	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+.if defined(WITH_OVIMTibetan)
+	@(cd ${WRKSRC}/Modules/OVIMTibetan; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 .if defined(WITH_OVIMUnicode)
- -	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} install)
+	@(cd ${WRKSRC}/Modules/OVIMUnicode; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_ARGS} install)
 .endif
 
 .include <bsd.port.post.mk>
diff -urN openvanilla-modules.orig/distinfo openvanilla-modules/distinfo
- --- openvanilla-modules.orig/distinfo	Mon Jan 23 21:09:47 2006
+++ openvanilla-modules/distinfo	Mon Mar 20 16:09:56 2006
@@ -1,3 +1,3 @@
- -MD5 (openvanilla-0.7.1.20050902.tar.gz) = 65ab030558a8f5a399ef497b8b99d668
- -SHA256 (openvanilla-0.7.1.20050902.tar.gz) = babc0c7b8e098a27e6ab6bf9738ba4f7aa50cdeaef1959b99ed7004ab967d617
- -SIZE (openvanilla-0.7.1.20050902.tar.gz) = 11321598
+MD5 (openvanilla-0.7.2.b20060214.tar.gz) = d15b76fd77022cc78b660b9a719d17e7
+SHA256 (openvanilla-0.7.2.b20060214.tar.gz) = 9761b42666676ecb5e590b242d09c4e6f538a23608c0262fc02d38821b1d128d
+SIZE (openvanilla-0.7.2.b20060214.tar.gz) = 16777986
diff -urN openvanilla-modules.orig/files/patch-Mk::ov.os.mk openvanilla-modules/files/patch-Mk::ov.os.mk
- --- openvanilla-modules.orig/files/patch-Mk::ov.os.mk	Sat Jan 21 00:12:20 2006
+++ openvanilla-modules/files/patch-Mk::ov.os.mk	Wed Dec 31 18:00:00 1969
@@ -1,15 +0,0 @@
- ---- Mk/ov.os.mk.orig	Sat Sep  3 12:22:17 2005
- -+++ Mk/ov.os.mk	Sun Sep  4 01:51:57 2005
- -@@ -16,10 +16,11 @@
- - else
- - 
- - 
- --	INST_PATH=/usr/local/lib/openvanilla/
- -+	INST_PATH=${PREFIX}/lib/openvanilla/
- - 	OBJS=$(patsubst %, %.lo, $(SOURCES))
- - 	GOALS=$(IMID).la
- - 	#CFLAGS=-I/usr/local/include/ -I../../Headers/
- -+	LIBS=-L/usr/local/lib
- - 
- - $(GOALS): $(OBJS)
- - 	$(LIBTOOL) --tag=CXX --mode=link $(CPP) $(LDFLAGS) $(LIBS) -module -rpath $(INST_PATH) -avoid-version -o $(GOALS)  $(OBJS)
diff -urN openvanilla-modules.orig/files/patch-Mk::ov.vars.mk openvanilla-modules/files/patch-Mk::ov.vars.mk
- --- openvanilla-modules.orig/files/patch-Mk::ov.vars.mk	Sat Jan 21 00:12:20 2006
+++ openvanilla-modules/files/patch-Mk::ov.vars.mk	Wed Dec 31 18:00:00 1969
@@ -1,14 +0,0 @@
- ---- Mk/ov.vars.mk.orig	Sat Sep  3 12:22:17 2005
- -+++ Mk/ov.vars.mk	Sun Sep  4 00:49:19 2005
- -@@ -8,9 +8,9 @@
- - 
- - DATA_INST_PATH?=$(INST_PATH)/$(IMID)
- - 
- --INC=-I../../Headers -I/usr/local/include
- -+INC=-I/usr/X11R6/include -I/usr/X11R6/include/OpenVanilla -I/usr/local/include
- - 
- --CFLAGS=-O2 -Wall $(INC)
- -+CFLAGS+=-O2 -Wall $(INC)
- - 
- - GCC=/usr/bin/gcc
- - GPP=/usr/bin/g++
diff -urN openvanilla-modules.orig/files/patch-Modules::Mk::ov.module.mk openvanilla-modules/files/patch-Modules::Mk::ov.module.mk
- --- openvanilla-modules.orig/files/patch-Modules::Mk::ov.module.mk	Wed Dec 31 18:00:00 1969
+++ openvanilla-modules/files/patch-Modules::Mk::ov.module.mk	Mon Mar 20 16:09:56 2006
@@ -0,0 +1,11 @@
+--- Modules/Mk/ov.module.mk.orig	Tue Feb 14 00:18:29 2006
++++ Modules/Mk/ov.module.mk	Tue Feb 14 13:55:40 2006
+@@ -178,7 +178,7 @@
+ 
+ GCC=/usr/bin/gcc 
+ GPP=/usr/bin/g++
+-LIBTOOL=$(shell ../Mk/find-libtool.pl)
++# LIBTOOL=$(shell ../Mk/find-libtool.pl)
+ 
+ 
+ ifeq ("$(OS_COMPILE)", "Darwin")
diff -urN openvanilla-modules.orig/files/patch-Modules::SharedHeaders::OVFileHandler.h openvanilla-modules/files/patch-Modules::SharedHeaders::OVFileHandler.h
- --- openvanilla-modules.orig/files/patch-Modules::SharedHeaders::OVFileHandler.h	Wed Dec 31 18:00:00 1969
+++ openvanilla-modules/files/patch-Modules::SharedHeaders::OVFileHandler.h	Mon Mar 20 16:20:38 2006
@@ -0,0 +1,13 @@
+--- Modules/SharedHeaders/OVFileHandler.h.orig	Tue Feb 14 00:18:36 2006
++++ Modules/SharedHeaders/OVFileHandler.h	Mon Mar 20 16:19:33 2006
+@@ -36,9 +36,9 @@
+ #include <fstream>
+ 
+ #ifndef WIN32
++	#include <sys/types.h>
+ 	#include <sys/mman.h>
+ 	#include <sys/stat.h>
+-	#include <sys/types.h>
+ 	#include <stdio.h>
+ 	#include <fcntl.h>
+ 	#include <unistd.h>
diff -urN openvanilla-modules.orig/pkg-plist openvanilla-modules/pkg-plist
- --- openvanilla-modules.orig/pkg-plist	Thu Feb 23 04:39:28 2006
+++ openvanilla-modules/pkg-plist	Mon Mar 20 16:24:04 2006
@@ -1,8 +1,8 @@
 %%OVIMArray%%lib/openvanilla/OVIMArray.a
 %%OVIMArray%%lib/openvanilla/OVIMArray.la
 %%OVIMArray%%lib/openvanilla/OVIMArray.so
- -%%OVIMArray%%lib/openvanilla/OVIMArray/ArrayShortCode.cin
- -%%OVIMArray%%lib/openvanilla/OVIMArray/ArraySpecial.cin
+%%OVIMArray%%lib/openvanilla/OVIMArray/array-shortcode.cin
+%%OVIMArray%%lib/openvanilla/OVIMArray/array-special.cin
 %%OVIMArray%%lib/openvanilla/OVIMArray/array30.cin
 %%OVIMBig5%%lib/openvanilla/OVIMBig5.a
 %%OVIMBig5%%lib/openvanilla/OVIMBig5.la
@@ -11,8 +11,11 @@
 %%OVIMGeneric%%lib/openvanilla/OVIMGeneric.la
 %%OVIMGeneric%%lib/openvanilla/OVIMGeneric.so
 %%OVIMGeneric%%lib/openvanilla/OVIMGeneric/cj.cin
- -%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/ehq.cin
- -%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/iroha.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/dayi3.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/ehq-symbols.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/pinyin.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/simplex.cin
+%%OVIMGeneric%%lib/openvanilla/OVIMGeneric/wubizixing.cin
 %%OVIMPOJ_Holo%%lib/openvanilla/OVIMPOJ-Holo.a
 %%OVIMPOJ_Holo%%lib/openvanilla/OVIMPOJ-Holo.la
 %%OVIMPOJ_Holo%%lib/openvanilla/OVIMPOJ-Holo.so
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (FreeBSD)

iD8DBQFEHzC/CQM7t5B2mhARAidGAJ4tbg89cwpBefZQOmjB0sZLLWmkqwCdFcoT
GXJAp3bj6rWQReGDmexF/yI=
=3mzN
-----END PGP SIGNATURE-----
Comment 4 Cheng-Lung Sung freebsd_committer 2006-03-23 08:38:28 UTC
State Changed
From-To: open->closed

Committed. Thank You.